extends Control


signal undo

var beenPressed = false

func _on_undo(viewport: Node, event: InputEvent, shape_idx: int) -> void:
	if event is InputEventScreenTouch:
		if event.pressed and not beenPressed:
			beenPressed = true
			undo.emit()

		elif not event.pressed:
			beenPressed = false
