extends Control


@export var settings = true
@export var inGame = false

signal saveGame

func _on_click(_viewport: Node, event: InputEvent, _shape_idx: int) -> void:
	if event.is_action_pressed("left_mouse"):
		if settings:
			if inGame:
				saveGame.emit()
			else:
				get_tree().change_scene_to_file("res://scenes/Settings.tscn")
		else:
			get_tree().change_scene_to_file("res://scenes/Config.tscn")
